#!/bin/bash

version="$1"
ui_root_dir="$2"
wix="/cygdrive/c/Program Files (x86)/WiX Toolset v3.11/bin/"

mkdir -p .tmp/AntTracksUI &&
cp -a "$ui_root_dir/build/distributions/." -d .tmp/AntTracksUI &&
"$wix"/heat.exe dir ".tmp\AntTracksUI" -gg -cg ApplicationFiles -ke -srd -dr DYNAMIC -var var.foo -sfrag -o WindowsInstallerSettingsFiles.wxs &&
"$wix"/candle.exe -d"foo=.tmp\AntTracksUI" WindowsInstallerSettingsFiles.wxs &&
"$wix"/candle.exe -d"ProductVersion=$version" -d"ProductUpgradeCode=$(uuidgen)" WindowsInstallerSettings.wxs &&
"$wix"/light.exe WindowsInstallerSettings.wixobj WindowsInstallerSettingsFiles.wixobj -o "$ui_root_dir/build/distributions/AntTracksTool-$version.msi" &&
result=$?

rm -r .tmp

exit $result


